#include <htc.h>
#include "spi_pic18.h"

void init_spi(void)
{
	SS_TRIS();				// SS pin
	TRISC5 = 0;	// MOSI pin
	TRISC4 = 1;	// MISO pin
	TRISC3 = 0;	// SCK pin

	SSPSTAT &= 0x3F;			// power on state 
	SSPCON1 = 0x00;				// power on state

    CKE = 1;		// Transmit occurs on transition from active to Idle clock state !!!!!!!!!!!!!!
    SMP = 0;		// Input data sampled at middle of data output time

	SSPCON1 |= SPI_FOSC_64;			// select serial mode
	SSPCON1 |= SSPENB;              // enable synchronous serial port
}

void xmit_spi(BYTE c)
{
	unsigned char temp;  
	temp = SSPBUF;				// Clears BF
	SSPIF = 0;         // Clear interrupt flag
	WCOL = 0;		// Clear any previous write collision
	SSPBUF = c;					// write byte to SSPBUF register
	// while( !SSPSTATbits.BF );  // wait until bus cycle complete
	while( !SSPIF );	// wait until bus cycle complete
	//temp = SSPBUF;				// Clears BF  
}

BYTE rcv_spi (void)
{
	unsigned char temp;
	temp = SSPBUF;        // Clear BF
	SSPIF = 0;      // Clear interrupt flag
	SSPBUF = 0xFF;           // initiate bus cycle
	//while ( !SSPSTATbits.BF );                  // wait until cycle complete
	while(!SSPIF);  // wait until cycle complete
	return ( SSPBUF );       // return with byte read 
}

