#ifndef _SPI_PIC18
#define _SPI_PIC18

#include "integer.h"

#define   SPI_FOSC_64   0b00000010              // SPI Master mode, clock = Fosc/64
#define   SPI_FOSC_16   0b00000001              // SPI Master mode, clock = Fosc/16
#define   SPI_FOSC_4   0b00000000
#define   SPI_FOSC_TMR2 0b00000011              // SPI Master mode, clock = TMR2 output/2
#define   SSPENB        0b00100000           // Enable serial port and configures SCK, SDO, SDI

/* Port Controls  (Platform dependent) */
#define SS_TRIS()	TRISC2 = 0
#define SELECT()	LATC2 = 0	/* RB2: MMC CS = L */
#define	DESELECT()	LATC2 = 1	/* RB2: MMC CS = H */

#define	MMC_SEL		1	/* MMC CS status (true:selected) */	

void init_spi(void);
void xmit_spi (BYTE);	/* Send a byte */
BYTE rcv_spi (void);	/* Send 0xFF and receive a byte */


#endif // _SPI_PIC18
